Opened 8 years ago

Closed 5 years ago

#1391 closed defect (wontfix)

"config add" for a list doesn't always work

Reported by: jinmei Owned by:
Priority: medium Milestone: Remaining BIND10 tickets
Component: configuration Version: bind10-old
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: N/A
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 4 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

For example, this is okay:

> config add Xfrout/zone_config

(zone_config[0] will be created)

but this doesn't work:

> config add Xfrout/zone_config[0]/transfer_acl
Error: No value given and no default for /Xfrout/zone_config[0]/transfer_acl

and this doesn't work either:

> config add Xfrout/zone_config[0]/transfer_acl {"action": "ACCEPT"}
Traceback (most recent call last):
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.1/lib/python3.1/cmd.py", line 213, in onecmd
    func = getattr(self, 'do_' + cmd)
AttributeError: 'BindCmdInterpreter' object has no attribute 'do_config'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/jinmei/opt/bin/bindctl", line 149, in <module>
    result = tool.run()
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 138, in run
    self.cmdloop()
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.1/lib/python3.1/cmd.py", line 139, in cmdloop
    stop = self.onecmd(line)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 466, in onecmd
    Cmd.onecmd(self, line)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.1/lib/python3.1/cmd.py", line 215, in onecmd
    return self.default(line)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 432, in default
    self._parse_cmd(line)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 569, in _parse_cmd
    self._handle_cmd(cmd)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 410, in _handle_cmd
    self.apply_config_cmd(cmd)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/bindctl/bindcmd.py", line 677, in apply_config_cmd
    cmd.params.get('value_for_set'))
  File "/Users/jinmei/opt/lib/python3.1/site-packages/isc/config/ccsession.py", line 503, in add_value
    self._add_value_to_list(identifier, value, module_spec)
  File "/Users/jinmei/opt/lib/python3.1/site-packages/isc/config/ccsession.py", line 456, in _add_value_to_list
    + identifier)
TypeError: unsupported operand type(s) for +: 'dict' and 'str'

Subtickets

Change History (3)

comment:1 Changed 8 years ago by jelte

  • Estimated Difficulty changed from 0 to 4

comment:2 Changed 5 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:3 Changed 5 years ago by tomek

  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to old-bind10

This issue is related to bind10 code that is no longer part of Kea.

If you are interested in BIND10/Bundy framework or its DNS components,
please check http://bundy-dns.de.

Closing ticket.

Note: See TracTickets for help on using tickets.